=== debian/control ===
Source: seetaface-recognizer
Section: devel
Priority: optional
Maintainer: bd <bd@seetatech.com>
Build-Depends: debhelper (>= 11),
 libopencv-dev,
 cmake,
 seetaface-open-role-zoo,
 seetaface-authorize,
 seetaface-tennis
Standards-Version: 4.5.1
Homepage: https://github.com/SeetaFace6Open/FaceRecognizer6.git
Rules-Requires-Root: no

Package: seetaface-recognizer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: facerecognizer6 for deepin
 facerecognizer6 for deepin to using.
